io.vertx.rxjava.core.file

## Class FileSystemProps

- java.lang.Object
- - io.vertx.rxjava.core.file.FileSystemProps

-     public class FileSystemProps
      extends Object

  Represents properties of the file system.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<FileSystemProps>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileSystemProps(FileSystemProps delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `FileSystemProps` | `getDelegate()`
    `int` | `hashCode()`
    `static FileSystemProps` | `newInstance(FileSystemProps arg)`
    `String` | `toString()`
    `long` | `totalSpace()`
    `long` | `unallocatedSpace()`
    `long` | `usableSpace()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<FileSystemProps> __TYPE_ARG

  - ### Constructor Detail

    - #### FileSystemProps

          public FileSystemProps(FileSystemProps delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public FileSystemProps getDelegate()

    - #### totalSpace

          public long totalSpace()

      Returns:
        The total space on the file system, in bytes

    - #### unallocatedSpace

          public long unallocatedSpace()

      Returns:
        The total un-allocated space on the file system, in bytes

    - #### usableSpace

          public long usableSpace()

      Returns:
        The total usable space on the file system, in bytes

    - #### newInstance

          public static FileSystemProps newInstance(FileSystemProps arg)

Copyright © 2017. All rights reserved.